<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//echo "<p>Parametros iniciales:</p>";
//print_r($_SESSION['parametros']);
//echo "<hr>";


//c;PLAREC;-;GRAL;-;-PRECEMP_;-;-;-NS_;E1900010;1
//El parámetro num 9 es el NS
//Solo en el caso de que se envíe un post adicional con cadena de nums de serie, se sustitutye
if($_POST['numserie']) {
	$parametros='';
	$temp=explode(';',$_SESSION['parametros']);
	for($i=0;$i<count($temp);$i++) {
		if($i==8) $parametros.=$_POST['numserie'];
		else $parametros.=$temp[$i];
		if($i<count($temp)-1) $parametros.=';';
	}
}
else $parametros=$_SESSION['parametros'];

//echo "<p>Parametros finales:</p>";
//print_r($parametros);
//echo "<hr>";

$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PREPARARUBICACION#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'].';'.$parametros.';'.$_POST['cantidad'].';'.$_POST['contenedor'].';'.$_POST['lote'].';'.$_POST['ubicacion'];
	
	//SECUENCIA DE CAMPOS QUE FALTAN SEGÚN LA PREPARACIÓN ACTUAL CON TODAS LAS VARIANTES DE ACRYLICOS
	//Gama
	//Caja única / Caja inicio rango
	//Caja fin rango
	//Palet
	
if($_POST['contenedorDestino']) $contenedorDestino=$_POST['contenedorDestino'];
else if(!$_POST['cajaPaletDestino']) $contenedorDestino=$_SESSION['preparacionPaletActual'];
	
$peticion.=';;;;'.$contenedorDestino;

//29-05-2020 Parametro 23 en rutina proxium. Teoricamente, no se usa. Pero por si acaso lo dejamos
$peticion.=';';
if( $_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S' ) $peticion.=$_POST['refCliente']; 

//29-05-2020 Parametro 24 en rutina proxium, para desarrollo Carmar que puede preparar cantidades menores y mayores segun rangos
//Esto confirma la linea como hecha, aunque la cantidad sea menor que la solicitada (dentro del rengo).
$peticion.=';';
if( $_POST['confirmarCierreLinea'] ) $peticion.='S';

//10-06-2020 Parametro 25 Preparación con cajas
$peticion.=';';
if( $_POST['cajaPaletDestino'] ) $peticion.=$_POST['cajaPaletDestino'];

//06-11-2020 Parametro 26 Observaciones a la preparación
$peticion.=';';
if( $_POST['observaciones'] ) $peticion.=$_POST['observaciones'];

//01-10-2021 Parametro 27 Fecha caducidad (DETECTADO CON JMA QUE NO SE GESTIONABA ANTERIORMENTE ???? )
$peticion.=';';
if( $_POST['fechacaducidad'] ) $peticion.=fechaParaProxium(fechaMysql($_POST['fechacaducidad']));


//13-09-2022 PArametro 28 Ubicacion del palet destino
$peticion.=';';
if( $_POST['contenedorDestinoUbicacion'] ) $peticion.=$_POST['contenedorDestinoUbicacion'];



//26-10-2022 Parametro 29 --> cierre de palet para picking transformaciones
$peticion.=';';
if( $_POST['pickingCerrarPalet'] ) {
	$peticion.=$_POST['pickingCerrarPalet'];
	//Si el contenedor destino se cierra y es el seleccionado o fijado, se quita
	if($contenedorDestino==$_SESSION['preparacionPaletActual']) unset($_SESSION['preparacionPaletActual']);
	if($contenedorDestino==$_SESSION['preparacionPaletActualFijado']) unset($_SESSION['preparacionPaletActualFijado']);
}

//21-12-2022 tipos cajas y tipos palets
//parametro 30-Tipo de soporte (cuando sea un palet)
//parametro 31-Tipo de caja (cuando sea una caja)
$peticion.=';';
if( $_POST['contenedorDestinoTipoPalet'] ) $peticion.=$_POST['contenedorDestinoTipoPalet'];
$peticion.=';';
if( $_POST['cajaPaletDestinoTipoCaja'] ) $peticion.=$_POST['cajaPaletDestinoTipoCaja'];


//// 29-08-2025 codigos de trazabilidad TTT en salida
$peticion.=';';
if( $_POST['cadenaLecturasTTT'] ) $peticion.=$_POST['cadenaLecturasTTT'];
$peticion.=';';
if( $_POST['cadenaPrecintasTTT'] ) $peticion.=$_POST['cadenaPrecintasTTT'];


if($_GET['traza']!='sino') {
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
}

if($_GET['traza']=='si' || $_GET['traza']=='sino') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
else print_r($resultado[0]['Error']);


?>